// Lauf_L_8Bit.c
// 10k an Masse und in Reihe dazu 10k Trimmpoti an +5V
// Schleifkontakt an ADC0 (RES) 
// ADC0 einlesen und damit Faktor fr Puls- 
// und Pausenzeit fr Lauflicht festlegen
// 5 LEDs 2mA an PB0, PB1, PB2,PB3 und PB4des ATtiny13
// auf einem Steckboard
// Hermann Nieder, Juni 2011

#define F_CPU 1200000UL
#include <avr/io.h>
#include<util/delay.h>


unsigned char adwert,w,n; 
 int main(void) {
 
 DDRB =31; // PORTB0 .. PB4 sind Ausgnge
 
 while(1) // Endless loop
 {
 		ADMUX  = (1<<ADLAR); // 8-Bit-Messung, ADC0, RES 
		ADCSRA =(1<<ADEN)| (1<<ADPS2); //  ADC ein, Clock/ 16 
		ADCSRA |= (1<<ADSC);           //  Wandlung starten

adwert= ADCH;
adwert=adwert-128;

for(n=1;n<6;n++)
{
switch (n)

{
case 1:
PORTB=4;
break;
case 2:
PORTB=2;
break;
case 3:
PORTB=1;
break;
case 4:
PORTB=16;
break;
case 5:
PORTB=8;
break;
}

for(w=0;w<adwert;w++) // Gre von adwert als Faktor fr Wartezeit
{
_delay_ms(2);         // von je 2 ms
}

}

}
return 0;
}
